import Vue from 'vue';
import Router from 'vue-router';

Vue.use(Router);
export default new Router({
  mode: 'history',
  base: process.env.NODE_ENV === 'development' ? '' : 'liveAchieve',
  routes: [
    {
      path: '/',
      redirect: '/homeIndex',
    },
    {
      path: '/',
      component: () => import('../components/common/Home.vue'),
      meta: { title: '自述文件1' },
      children: [
        {
          path: '/homeIndex',
          component: () => import('../views/homeIndex.vue'),
          meta: { title: '系统首页' },
        },
        // 菜单管理
        {
          path: '/menu',
          component: () => import('../views/menu/index.vue'),
          meta: { title: '菜单管理' },
        },
        // 审核申请书
        {
          path: '/adminExamine',
          component: () => import('../views/adminCenter/adminExamine/index.vue'),
          meta: { title: '审核申请书' },
        },
        {
          path: '/adminExamine/detail',
          component: () => import('../views/adminCenter/adminExamine/detail.vue'),
          meta: { title: '资料审核' },
        },
        // 专家评分
        {
          path: '/adminScore',
          component: () => import('../views/adminCenter/adminScore/index.vue'),
          meta: { title: '专家评分' },
        },
        {
          path: '/adminScore/detail',
          component: () => import('../views/adminCenter/adminScore/detail.vue'),
          meta: { title: '专家评分查看' },
        },
        {
          path: '/adminScore/preview',
          component: () => import('../views/adminCenter/adminScore/preview.vue'),
          meta: { title: '专家意见预览' },
        },
        // 专家会审
        {
          path: '/adminMeet',
          component: () => import('../views/adminCenter/adminMeet/index.vue'),
          meta: { title: '专家会审' },
        },
        {
          path: '/adminMeet/detail',
          component: () => import('../views/adminCenter/adminMeet/detail.vue'),
          meta: { title: '专家会审记录' },
        },
        {
          path: '/adminMeet/file',
          component: () => import('../views/adminCenter/adminMeet/file.vue'),
          meta: { title: '会审文件确认' },
        },
        {
          path: '/adminMeet/expert',
          component: () => import('../views/adminCenter/adminMeet/expert.vue'),
          meta: { title: '会审专家管理' },
        },
        // 完善资料
        {
          path: '/adminPerfect',
          component: () => import('../views/adminCenter/adminPerfect/index.vue'),
          meta: { title: '完善资料' },
        },
        {
          path: '/adminPerfect/detail',
          component: () => import('../views/adminCenter/adminPerfect/detail.vue'),
          meta: { title: '资料查看' },
        },
        // 证书发放
        {
          path: '/adminCate',
          component: () => import('../views/adminCenter/adminCate/index.vue'),
          meta: { title: '证书发放' },
        },
        // 证书制作
        {
          path: '/adminCate/detail',
          component: () => import('../views/adminCenter/adminCate/detail.vue'),
          meta: { title: '证书制作' },
        },
        // 资料预览
        {
          path: '/adminCate/dataInfo',
          component: () => import('../views/adminCenter/adminCate/dataInfo.vue'),
          meta: { title: '资料预览' },
        },
        // 已证书发放
        {
          path: '/adminHaveCert',
          component: () => import('../views/adminCenter/adminHaveCert/index.vue'),
          meta: { title: '已证书发放' },
        },
        {
          path: '/adminCertFile',
          component: () => import('../views/adminCenter/adminCertFile/index.vue'),
          meta: { title: '证书资料管理' },
        },
        {
          path: '/adminApplyExpert',
          component: () => import('../views/adminCenter/adminApplyExpert/index.vue'),
          meta: { title: '专家管理' },
        },
        // 专家评分列表
        {
          path: '/expertScore',
          component: () => import('../views/expertCenter/score/index.vue'),
          meta: { title: '专家审评' },
        },
        // 专家会审列表
        {
          path: '/expertMeet',
          component: () => import('../views/expertCenter/meet/index.vue'),
          meta: { title: '专家会审' },
        },
        // 用户中心
        // 申请书
        // // 待审中
        // {
        //   path: '/firstApply',
        //   component: () => import('../views/userCenter/userExamine/firstApply.vue'),
        //   meta: { title: '待审中' },
        // },
        // // 审核未通过
        // {
        //   path: '/updateApply',
        //   component: () => import('../views/userCenter/userExamine/updateApply.vue'),
        //   meta: { title: '审核未通过' },
        // },
        // // 审核意见查看
        // {
        //   path: '/userExamine/detail',
        //   component: () => import('../views/userCenter/userExamine/detail.vue'),
        //   meta: { title: '审核意见查看' },
        // },
        // // 修改申请书
        // {
        //   path: '/userExamine/update',
        //   component: () => import('../views/userCenter/userExamine/update.vue'),
        //   meta: { title: '修改申请书' },
        // },
        // // 评分总结
        // {
        //   path: '/expertExam',
        //   component: () => import('../views/userCenter/userScore/expertExam.vue'),
        //   meta: { title: '待专家评分' },
        // },
        // // 评分审核未通过
        // {
        //   path: '/noExpertScore',
        //   component: () => import('../views/userCenter/userScore/noExpertScore.vue'),
        //   meta: { title: '评分审核未通过' },
        // },
        // // 评分审核意见查看
        // {
        //   path: '/userScore/detail',
        //   component: () => import('../views/userCenter/userScore/detail.vue'),
        //   meta: { title: '评分审核意见查看' },
        // },
        // // 专家评分意见查看
        // {
        //   path: '/userScore/expertOpinion',
        //   component: () => import('../views/userCenter/userScore/expertOpinion.vue'),
        //   meta: { title: '专家评分意见查看' },
        // },

        // // 评分修改申请书
        // {
        //   path: '/userScore/update',
        //   component: () => import('../views/userCenter/userScore/update.vue'),
        //   meta: { title: '评分修改申请书' },
        // },
        // // 专家会审
        // // 待缴费

        // {
        //   path: '/expertPay',
        //   component: () => import('../views/userCenter/userMeet/expertPay.vue'),
        //   meta: { title: '待缴费' },
        // },
        // // 待会审
        // {
        //   path: '/expertMeet',
        //   component: () => import('../views/userCenter/userMeet/expertMeet.vue'),
        //   meta: { title: '待专家评分' },
        // },
        // // 会审未通过
        // {
        //   path: '/noExpertMeet',
        //   component: () => import('../views/userCenter/userMeet/noExpertMeet.vue'),
        //   meta: { title: '会审未通过' },
        // },
        // {
        //   path: '/userMeet/detail',
        //   component: () => import('../views/userCenter/userMeet/detail.vue'),
        //   meta: { title: '会审意见查看' },
        // },
        // // 完善资料
        // {
        //   path: '/perfectData',
        //   component: () => import('../views/userCenter/perfectData/index.vue'),
        //   meta: { title: '完善资料' },
        // },
        // {
        //   path: '/perfectData/update',
        //   component: () => import('../views/userCenter/perfectData/update.vue'),
        //   meta: { title: '资料信息管理' },
        // },
        // // 证书发放
        // {
        //   path: '/readyCert',
        //   component: () => import('../views/userCenter/userCert/readyCert.vue'),
        //   meta: { title: '待发证书' },
        // },
        // {
        //   path: '/alreadyCert',
        //   component: () => import('../views/userCenter/userCert/alreadyCert.vue'),
        //   meta: { title: '已发证书' },
        // },
        // 我的申报
        // 申报中
        {
          path: '/nowDeclare',
          component: () => import('../views/userCenter/userMydeclare/nowDeclare.vue'),
          meta: { title: '申报中' },
        },
        // 已往申报
        {
          path: '/pastDeclare',
          component: () => import('../views/userCenter/userMydeclare/pastDeclare.vue'),
          meta: { title: '已往申报' },
        },
        // 专家评分
        {
          path: '/userExpertScore',
          component: () => import('../views/userCenter/userExpertScore/index.vue'),
          meta: { title: '专家评分' },
        },
        // 专家会审
        {
          path: '/userExpertMeet',
          component: () => import('../views/userCenter/userExpertMeet/index.vue'),
          meta: { title: '专家会审' },
        },
        // 证书管理
        {
          path: '/userCert',
          component: () => import('../views/userCenter/userCert/index.vue'),
          meta: { title: '证书管理' },
        },
        {
          path: '/userCertFile',
          component: () => import('../views/userCenter/userCertFile/index.vue'),
          meta: { title: '证书资料管理' },
        },
        // 个人中心-公共组件
        // 资料信息
        {
          path: '/userCommon/dataInfo',
          component: () => import('../views/userCenter/common/dataInfo.vue'),
          meta: { title: '资料信息' },
        },
        // 意见查看
        {
          path: '/userCommon/opinion',
          component: () => import('../views/userCenter/common/opinion.vue'),
          meta: { title: '意见查看' },
        },
        // 专家意见
        {
          path: '/userCommon/expertOpinion',
          component: () => import('../views/userCenter/common/expertOpinion.vue'),
          meta: { title: '专家意见' },
        },
        // 修改申请
        {
          path: '/userCommon/update',
          component: () => import('../views/userCenter/common/update.vue'),
          meta: { title: '修改申请' },
        },
        // 证书查看
        {
          path: '/userCommon/certDetail',
          component: () => import('../views/userCenter/common/certDetail.vue'),
          meta: { title: '证书查看' },
        },
        //21-04-16,专家新改
        {
          path: '/expertCenter',
          component: () => import('../views/expertCenter/index.vue'),
          meta: { title: '专家审核' },
        },
      ],
    },
    {
      path: '/login',
      component: () => import('../views/Login.vue'),
      meta: { title: '登录' },
    },
    // 用戶申报
    {
      path: '/userDeclare',
      component: () => import('../views/userDeclare/index.vue'),
      meta: { title: '用户申报' },
    },
    {
      path: '*',
      redirect: '/404',
    },
  ],
});
