import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
const jwt = require('jsonwebtoken');
Vue.use(Vuex);
const api = {
  adminLoginInfo: `/api/live/v0/users/admin`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit, ...info } = {}) {
    const res = await this.$axios.$get(`${api.adminLoginInfo}`, {
      skip,
      limit,
      ...info,
    });
    return res;
  },
  async create({ commit }, payload) {
    const res = await this.$axios.$post(`${api.adminLoginInfo}`, payload);
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.adminLoginInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.adminLoginInfo}/update/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.adminLoginInfo}/${payload}`);
    return res;
  },
  async login({ commit }, { user }) {
    const res = await this.$axios.$post(`${api.adminLoginInfo}/login`, user);
    if (res.errcode === 0) {
      localStorage.setItem('token', res.data);
      user = jwt.decode(res.data);
      if (user.code == 'CGPIXT') {
        commit('setUser', user, { root: true });
        return res;
      }
    }
  },
  async updatePwd({ commit }, { id, ...data }) {
    const res = await this.$axios.$post(`${api.adminLoginInfo}/password/${id}`, data);
    return res;
  },
};
export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
