import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from './user/state';
import * as umutations from './user/mutations';
// 管理员
import adminLogin from './adminLogin';
// 个人
import personal from '@common/src/store/personal';
// 专家
import expert from '@common/src/store/expert';
// 机构
import organization from '@common/src/store/organization';
// 菜单
import menu from '@common/src/store/menu';
// 科技评价
import achieveApply from '@common/src/store/achieve/achieve_apply.js';
// 科技评价审核记录
import verifyRecord from '@common/src/store/achieve/achieve_verify_record.js';
// 专家临时
import achieveExpert from '@common/src/store/achieve/achieve_expert.js';
// 临时专家分配的任务
import achieveApplyExpert from '@common/src/store/achieve/achieve_apply_expert.js';
// 证书资料
import achieve_cert from '@common/src/store/achieve/achieve_cert.js';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    adminLogin,
    personal,
    expert,
    organization,
    menu,
    achieveApply,
    verifyRecord,
    achieveExpert,
    achieveApplyExpert,
    achieve_cert,
  },
});
