const path = require('path');
const common = path.resolve(__dirname, '../common');
module.exports = {
  publicPath: process.env.NODE_ENV === 'development' ? '/' : process.env.VUE_APP_ROUTER,
  // 打包文件
  outputDir: 'liveAchieve',
  configureWebpack: config => {
    Object.assign(config, {
      // 开发生产共同配置
      resolve: {
        alias: {
          '@': path.resolve(__dirname, './src'),
          '@c': path.resolve(__dirname, './src/components'),
          '@a': path.resolve(__dirname, './src/assets'),
          '@common': common,
        },
      },
    });
  },
  devServer: {
    port: '8001',
    //api地址前缀
    proxy: {
      '/files': {
        target: 'http://broadcast.waityou24.cn',
      },
      '/api/live': {
        target: 'http://broadcast.waityou24.cn', //http://192.168.1.19:9101
        changeOrigin: true,
        ws: false,
      },
      '/api/achieve': {
        target: 'http://broadcast.waityou24.cn', //http://192.168.1.19:9103
        changeOrigin: true,
        ws: false,
      },
      '/ws': {
        target: 'http://broadcast.waityou24.cn',
        ws: false,
      },
    },
  },
};
